Create a Subtask

Creates a new subtask for the specified task.

Note:

  • When the templateID is passed, the request payload can be empty or can contain attributes. Attributes provided in the request payload can be overwritten by the template. Example: POST workflow/v1/tasks/{taskId}/subtasks?view=entity&templateId={templateId}.
Path Params
string
required

Unique identifier of the task.

Query Params
string

Possible value is entity. When view entity is passed, the response body will include the entire updated data contract of the posted resource.

string

The unique identifier of the template to use when creating the subtask.

string

Type of subtask to create.

boolean

Indicates whether duplicates are allowed for same task template. The default is False, so duplicates are allowed by default.

boolean

Indicates whether to allow create SubTask in a completed Task.

Body Params
string

Name of the entity.

string

Description of the entity.

string

Type of the entity.

customAttributes
array of objects

Custom Attributes of the entity.

customAttributes
associations
array of objects

Associations of the entity.

associations
boolean

Indicates if the entity is required to mark the parent as complete.

string

Status of the entity. Possible values are:

  • NOT_STARTED
  • IN_PROGRESS
  • COMPLETED
string

Resolution of the entity.

string

Resolution comment of the entity.

integer

Priority of the entity.

integer

Rank of the entity to indicate the sort order. Items with lower rank are presented items with higher rank.

tags
array of strings

Tags on the entity.

tags
string

Entity related information.

string

Due date of the entity.

string

UTC Datetime on which entity is started.

string

UTC Datetime on which entity is completed.

string

Subtask category.

Headers
string
required

Bearer token

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
Response
Choose an example:
application/json